#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct EventTimeFilter {
    #[builder(
        custom(
            type = super::super::super::compute::api::TimestampConstant,
            convert = Box::new
        )
    )]
    #[serde(rename = "timestamp")]
    timestamp: Box<super::super::super::compute::api::TimestampConstant>,
    #[serde(rename = "timestampCondition")]
    timestamp_condition: super::EventTimeFilterCondition,
}
impl EventTimeFilter {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        timestamp: super::super::super::compute::api::TimestampConstant,
        timestamp_condition: super::EventTimeFilterCondition,
    ) -> Self {
        Self::builder()
            .timestamp(timestamp)
            .timestamp_condition(timestamp_condition)
            .build()
    }
    #[inline]
    pub fn timestamp(&self) -> &super::super::super::compute::api::TimestampConstant {
        &*self.timestamp
    }
    #[inline]
    pub fn timestamp_condition(&self) -> &super::EventTimeFilterCondition {
        &self.timestamp_condition
    }
}
